﻿using System;
using System.Windows.Controls;
using System.Xml.Serialization;

namespace GameCore
{
    [Serializable]
    public class ImageTile
    {
        public int ImageIndex { get; set; }
        public int StartXPosition { get; set; }
        public int StartYPosition { get; set; }
        [field: NonSerialized]
        [XmlIgnore]
        public Image CurrentImage { get; set; }
        public double Opacity { get; set; }
        public double Angle { get; set; }
    }
}
